MQ_CLOSE(3)

NAME
mq_close - close a message queue (REALTIME)

LIBRARY
librt

SYNOPSIS
#include <mqueue.h>
int
mq_close(mqd_t mqdes);

DESCRIPTION
The mq_close() function will remove the association between the message queue descriptor, mqdes, and its message queue.

If the process has successfully attached a notification request to the message queue via this mqdes, this attachment will be removed, and the message queue is available for another process to attach for notification.

RETURN VALUES

ERRORS
The mq_close() function fails if:

[EBADF]
    The mqdes argument is not a valid message queue descriptor.

SEE ALSO
mq(3), mq_open(3), mq_unlink(3)

STANDARDS
This function conforms to the p1003.1-2001 standard.

HISTORY
The mq_close() function first appeared in NetBSD 5.0.

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .